Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  Exemplarnamen in Zeichnung anzeigen Inventor 2021

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
  
HOMA Pumpenfabrik - Ein direkter und sympathischer Kontakt mit kurzen Reaktionszeiten. Genau wie wir ihn wünschen. (GAIN Collaboration)
Autor Thema:  Exemplarnamen in Zeichnung anzeigen Inventor 2021 (433 / mal gelesen)
WellKonstruktion
Mitglied


Sehen Sie sich das Profil von WellKonstruktion an!   Senden Sie eine Private Message an WellKonstruktion  Schreiben Sie einen Gästebucheintrag für WellKonstruktion

Beiträge: 9
Registriert: 02.05.2024

erstellt am: 02. Mai. 2024 07:43    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Exemplarnamenanzeigen1.png

 
Hallo, für unser Projekt benötigen wir die Funktion Exemplarname wie im Anhang dargestellt,dadurch lassen sich die gleichen Bauteile anders benennen. Nun schafen wir es aber nicht diese in der Zeichnung abzurufen damit diese angezeigt werden,ist es überhaupt möglich in Inventor 2021. In Inventor 2022 soll es ja ohne Probleme möglich sein.

Vielen Dank für eure Hilfe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2469
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 02. Mai. 2024 08:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für WellKonstruktion 10 Unities + Antwort hilfreich

Moin

Willkommen im Forum 

Wo soll der Exemplarname in der Zeichnung angezeigt werden? Schriftfeld, Positionsnummer, Teileliste, Führungslinientext? Ist die Ansicht eine Baugruppe? Exemplarnamen gibt es nur dort. Mir ist nicht bekannt, dass der Exemplarname im Standard in einer Zeichnung abrufbar ist. Auch im 2024er konnte ich ad hoc nichts finden.

------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WellKonstruktion
Mitglied


Sehen Sie sich das Profil von WellKonstruktion an!   Senden Sie eine Private Message an WellKonstruktion  Schreiben Sie einen Gästebucheintrag für WellKonstruktion

Beiträge: 9
Registriert: 02.05.2024

erstellt am: 02. Mai. 2024 10:11    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


exemplarnamenanzeigen2.png


exemplarnamenanzeigen3.png

 
Hallo, am liebsten wäre es mir die Exemplarnamen in der Positionsnummer aufrufen zu können (Anhang 1), aber ich habe schon alle Eigenschaften durchgeklickt und keine aktiviert die Exemplarnamen (Anhang 2).
In Inventor 2022 sollte es genau so gehen laut einem Video, deswegen die Frage ob es in 2021 geht.
Vielen dank für die Hilfe.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2469
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 02. Mai. 2024 10:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für WellKonstruktion 10 Unities + Antwort hilfreich

Moin

Gibt es einen Link zu dem Video? Ich kann das beim besten Willen nicht finden. Aber ich hab was anderes gefunden. Man kann es per VBA machen. Klick mich.

------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WellKonstruktion
Mitglied


Sehen Sie sich das Profil von WellKonstruktion an!   Senden Sie eine Private Message an WellKonstruktion  Schreiben Sie einen Gästebucheintrag für WellKonstruktion

Beiträge: 9
Registriert: 02.05.2024

erstellt am: 02. Mai. 2024 10:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
ich hab das video hier als Link eingefügt https://www.youtube.com/watch?v=uM606XSSrQM
mit dem VBA versuche ich es mal vielen Dank
Mit freundlichen Grüßen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WellKonstruktion
Mitglied


Sehen Sie sich das Profil von WellKonstruktion an!   Senden Sie eine Private Message an WellKonstruktion  Schreiben Sie einen Gästebucheintrag für WellKonstruktion

Beiträge: 9
Registriert: 02.05.2024

erstellt am: 02. Mai. 2024 12:56    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


exemplarnamenanzeigen4.png

 
Der Link mt dem VBA Code wird bei mir im Modul als fehlerhaft angezeigt leider. Ich denke wir werden es jetzt einfach umständlich machen und die Teile einfach alle ersetzen und mit idividuellen Namen einfügen.

Mit freundlichen Grüßen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2469
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 02. Mai. 2024 13:12    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für WellKonstruktion 10 Unities + Antwort hilfreich

Moin

Ich vermute du hast Positionsnummern mit einer Führungslinie, die aus 2 oder mehr Segmenten besteht? Da könnte bereits der Fehler sein. So genau hab ich mir das Beispiel nicht angesehen.
Ersetz mal die Zeile

Code:
Set leaderNode = leader.AllNodes(2)

oberhalb der angemeckerten Zeile durch:

Code:
Set leaderNode = leader.AllNodes.Item(leader.AllNodes.Count)

------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WellKonstruktion
Mitglied


Sehen Sie sich das Profil von WellKonstruktion an!   Senden Sie eine Private Message an WellKonstruktion  Schreiben Sie einen Gästebucheintrag für WellKonstruktion

Beiträge: 9
Registriert: 02.05.2024

erstellt am: 02. Mai. 2024 14:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


exemplarnamenanzeigen5.png


exemplarnamenanzeigen6.png


exemplarnamenanzeigen7.png

 
Hallo,
ich habe die Zeile ersetzt und der Fehler besteht leider immernoch (Anhang 1).
Ich habe die Positionsnummern genau wie in (Anhang 2 ) auf der ganzen Zeichnung verteilt.
Im Anhang 3 sieht man die Einstellungen für die Positionsnummer die ich habe.
Vielen Dank

Mit freundlichen Grüßen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2469
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 02. Mai. 2024 19:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für WellKonstruktion 10 Unities + Antwort hilfreich

Moin

Dann hängt die Positionsnummer irgendie nicht mehr an der Linie auf die der Pfeil zeigt. Du kannst testweise die Pfeilspitze nehmen und per Drag'n Drop mal an eine andere Kante des Bauteiles hängen. Damit so ein Fehler nicht zum Komplettabbruch führt, kann man das abfangen und überspringen.

Code:

Option Explicit

Public Sub GetComponentReferencedByBalloon()
' Set a reference to the active drawing document
Dim oDoc As DrawingDocument
Set oDoc = ThisApplication.ActiveDocument

' Set Reference to Active Sheet on Drawing
Dim oSheet As Sheet
Set oSheet = oDoc.ActiveSheet

' Iterate through all the balloon in Sheet
Dim oBalloon As Balloon
For Each oBalloon In oSheet.Balloons

    ' Set Refrence to the Leader attached to the balloon
    Dim leader As leader
    Set leader = oBalloon.leader

    'assuming the leader is a single line segment
    Dim leaderNode As leaderNode
    Set leaderNode = leader.AllNodes.Item(leader.AllNodes.count)

    If Not leaderNode.AttachedEntity Is Nothing Then

        ' Set the intent of the leader
        Dim intent As GeometryIntent
        Set intent = leaderNode.AttachedEntity

        ' Set Reference to the curve that the leader points to
        Dim curve As DrawingCurve
        Set curve = intent.Geometry

        ' Set Reference to the geoetry that the curve belongs to
        Dim oModelGeom As Object
        Set oModelGeom = curve.ModelGeometry

        ' Get component occurance that the model geometry belongs to
        Dim occurrence As ComponentOccurrence
        Set occurrence = oModelGeom.ContainingOccurrence

        ' MsgBox "The part number is: " & occurrence.Name

        ' Iterate through all the balloon sets
        Dim oBalloonValueSet As BalloonValueSet
        For Each oBalloonValueSet In oBalloon.BalloonValueSets
            'Dim strDisplay As String
            ' strDisplay = "Balloon Item Number: "

            ' Set Reference to the Quantity value of the component from the BOM
            Dim oCount As Integer
            oCount = oBalloonValueSet.ReferencedRow.BOMRow.ItemQuantity

            ' Set Reference to the Item Number on the BOM
            Dim oBalloonNumber As Integer
            oBalloonNumber = oBalloonValueSet.ItemNumber

            ' MsgBox "Balloon Number: " & oBalloonNumber & " - " & oCount

            ' If More than One Components, update Balloon with Item Number & Occurance Name
            If oCount > 1 Then
                'oBalloonValueSet.OverrideValue = oBalloonValueSet.Value & " - " & occurrence.Name
                oBalloonValueSet.OverrideValue = occurrence.Name
            Else
                ' Do Nothing
            End If

            Dim oDrawingBOMRow As DrawingBOMRow
            Set oDrawingBOMRow = oBalloonValueSet.ReferencedRow

            If oDrawingBOMRow.Custom Then
                ' The referenced item is a custom parts list row.
                ' strDisplay = strDisplay & vbNewLine & "Referenced Component(s):"
                ' strDisplay = strDisplay & vbNewLine & " Custom PartsList Row"
            Else
                Dim oBOMRow As BOMRow
                Set oBOMRow = oDrawingBOMRow.BOMRow

                ' Add the Item Number from the model BOM.
                ' strDisplay = strDisplay & vbNewLine & "BOM Item Number: " & oBOMRow.ItemNumber
                ' strDisplay = strDisplay & vbNewLine & "Referenced Component(s):"

                Dim oCompDefs As ComponentDefinitionsEnumerator
                Set oCompDefs = oBOMRow.ComponentDefinitions

                If oDrawingBOMRow.Virtual Then
                    ' The referenced item is a virtual component.
                    ' strDisplay = strDisplay & vbNewLine & " Virtual: " & oCompDefs.Item(1).DisplayName
                Else
                    ' Add the document name of the referenced component.
                    ' There could be multiple if the balloon references
                    ' a merged BOM row in the model.
                    Dim oCompDef As ComponentDefinition

                    ' strDisplay = vbNewLine & strDisplay & vbNewLine & " " & oPartDef.Document.FullDocumentName
                End If
            End If
            ' MsgBox strDisplay
        Next
    End If
Next

End Sub


------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WellKonstruktion
Mitglied


Sehen Sie sich das Profil von WellKonstruktion an!   Senden Sie eine Private Message an WellKonstruktion  Schreiben Sie einen Gästebucheintrag für WellKonstruktion

Beiträge: 9
Registriert: 02.05.2024

erstellt am: 03. Mai. 2024 08:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


exemplarnamenanzeigen8.png

 
Guten Morgen,

also ich hab es jett geschafft den Code ohne Positionsnummern fehlerfrei laufen zu lassen , sobald ich jedoch eine Positionsnummer anziehe erscheint der im Anhang befindliche Fehler.
Danke für die Hilfe

Mit freundlichen Grüßen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WellKonstruktion
Mitglied


Sehen Sie sich das Profil von WellKonstruktion an!   Senden Sie eine Private Message an WellKonstruktion  Schreiben Sie einen Gästebucheintrag für WellKonstruktion

Beiträge: 9
Registriert: 02.05.2024

erstellt am: 03. Mai. 2024 10:58    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


exemplarnamenanzeigen9.png

 
Hallo,

ich habe es nun geschafft, ich habe wie im Anhang bei der Eigenschaftsanzeige die Eigenschaft ItemNumber gesetzt nun funktioniert es.

Nochmals Vielen Dank für die Hilfe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WellKonstruktion
Mitglied


Sehen Sie sich das Profil von WellKonstruktion an!   Senden Sie eine Private Message an WellKonstruktion  Schreiben Sie einen Gästebucheintrag für WellKonstruktion

Beiträge: 9
Registriert: 02.05.2024

erstellt am: 07. Mai. 2024 10:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


exemplarnamenanzeigen10.png


exemplarnamenanzeigen_11.png

 
Hallo,

ich melde mich wieder, nun besteht das Problem,dass bestimmte Bauteile nicht mit dem Exemplarnamen angezeigt werden (Anhang 1), selbst in der gleichen Baugruppe.Anhang 2 ist der in VBA eingebettete Code

ich bin sehr ratlos.
Bin für jede Hilfe dankbar

Mit freundlichen Grüßen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2469
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 07. Mai. 2024 14:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für WellKonstruktion 10 Unities + Antwort hilfreich

Moin

Da scheinbar kein Fehler auftritt, mal geschaut ob der Exemplarname schlicht leer ist?
Ansonsten würde ich mich mit dem Debuggen von VBA-Code vertraut machen. Bei den drei Positionsnummern kann man mal schrittweise durchsteppen und schauen was da klemmen könnte.
Ich würde den Code auch nicht in jedes Dokument kopieren. Das bläht die Dokumente nur unnötig auf. Einmal in den Anwendungsprojektordner je Arbeitsplatz genügt.

------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

WellKonstruktion
Mitglied


Sehen Sie sich das Profil von WellKonstruktion an!   Senden Sie eine Private Message an WellKonstruktion  Schreiben Sie einen Gästebucheintrag für WellKonstruktion

Beiträge: 9
Registriert: 02.05.2024

erstellt am: 07. Mai. 2024 15:46    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


exemplarnamenanzeigen12.png

 
Hallo,

also die Exemplarnamen sind alle voll geschrieben, die IProperty sind auch komplett identisch. Die Lösung war nun das Teil zu kopieren und dort dann den exemplarnamen zu ändern und den Code erneut laufen zu lassen, dann wird alles wie im anhang angezeigt. Danach dann das doppelte Bauteil löschen  . Je nach Unterbaugruppe geht das Spiel dann so weiter. das debbugen kann ich noch probieren aber langsam geht mir die Zeit aus werde es dann erstmal so hinpfuschen  .

Nochmals danke für die Hilfe 

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2024 CAD.de | Impressum | Datenschutz